routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('/e-lelang','homeUserController');
Route::POST('create', 'homeUserController@store')->name('createProduct');
Route::resource('admin','AdminController');
Route::resource('barangku','lelangController');
Route::POST('harga','hargaController@store')->name('createHarga');
Route::POST('lelang','lelangController@store')->name('createLelang');
Route::resource('regis','RegisController');
Route::get('cari','RegisController@cari')->name('cari');
Route::resource('laporan','laporanController');

resources/views/admin/edit.blade.php
@extends('layouts.app')

@section('content')

    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="card card-create">
                    <div class="container-fluid">
                        <div class="row container-fluid">
                            <div class="col-sm--12">
                                <h3>Owner : {{ $data->user->name }}</h3>
                            </div>
                        </div>
                        <div class="row" style="margin-top: 2vh;">
                            <div class="col-sm-4 image ">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <label class="detail_img ">
                                            <img src="{{ URL::to('/') }}/images/{{ $data->image }}" alt="your image" id="disp_img">
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-8">
                                <div class="heads row">
                                    <div class="col-sm-12">
                                        <h3><b>{{ $data->nama_barang }}</b></h3>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <h5>Desc</h5>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="kotak overflow-auto">
                                            <pre>{{ $data->desc }}</pre>
                                        </div>
                                    </div>
                                </div>
                                <div class="row desk">
                                    <div class="col-sm-8">
                                        <h5>
                                            Last Bid
                                        </h5>
                                    </div>
                                    <div class="col-sm-4">
                                        <p>*refresh untuk melihat harga terbaru</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <h2 class="biru">
                                        Rp.{{ $data->harga_awal }}
                                    </h2>
                                </div>
                                <div class="row btn-edit">
                                    <div class="col-sm-4 offset-8 ">
                                        <form action="{{ route('admin.update',$data->id_barang) }}" method="POST">
                                            @csrf
                                            @method('PUT')
                                            <input name="id" id="id" value="{{ $data->user->id }}" type="text" class="none">

                                            <input name="id_barang" id="id_barang" value="{{ $data->id_barang }}" type="text" class="none">

                                            <input name="nama_barang" id="nama_barang" value="{{ $data->nama_barang }}" type="text" class="none">

                                            <input name="tgl" id="tgl" value="{{ $data->tgl }}" type="text" class="none">

                                            <input name="harga_awal" id="harga_awal" value="{{ $data->harga_awal }}" type="text" class="none">

                                            <input name="desc" id="desc" value="{{ $data->desc }}" type="text" class="none">

                                            <input name="image" id="image" value="{{ $data->image }}" type="text" class="none">

                                            @if ($data->status == 'accepted')
                                            <input name="status" class="none" type="text" id="status" value="ongoing">
                                            <button type="submit" class="btn btn-info be">
                                                start
                                            </buttton>
                                            
                                            @elseif ($data->status == 'pending')
                                            <input name="status" class="none" type="text" id="status" value="accepted">
                                            <button type="submit" class="btn btn-success be">
                                                accept
                                            </buttton>

                                            @elseif ($data->status == 'ongoing')
                                            <input name="status" class="none" type="text" id="status" value="finished">
                                            <button type="submit" class="btn btn-success be">
                                                finish
                                            </buttton>
                                            
                                            @endif
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection 

resources/views/admin/konfirmasi.blade.php
@extends('layouts.app')

@section('content')
<div class="container">

    <div class="row">
            
            <div class="col-sm-12">
              <div class="card container card-konfirm">
                <div class="wrapper">
                <table class="table">
                  <thead class="thead text-center">
                    <tr>
                      <th scope="col">username</th>
                      <th scope="col">Nama produk</th>
                      <th scope="col">Tanggal</th>
                      <th scope="col">Harga</th>
                      <th scope="col">Detail</th>
                      <th scope="col">Status</th>
                    </tr>
                  </thead>
                  <tbody class="text-center">
                    @foreach ($barang as $item)
                    <tr>
                      <th>{{ $item->user->name ?? ''}}</th>
                      <td>{{ $item->nama_barang }}</td>
                      <td>{{ $item->tgl }}</td>
                      <td>{{ $item->harga_awal }}</td>
                      <form action="{{ route('e-lelang.edit',$item->id_barang) }}" method="POST">
                      <td><a href="{{ route('e-lelang.show',$item->id_barang) }}" class="btn btn-info">Detail</a></td>
                      @if ($item->status == 'accepted')
                      <td>
                        <a href="{{ route('admin.edit',$item->id_barang) }}" class="btn btn-success">{{ $item->status }}</a>
                      </td>
                      @elseif ($item->status == 'pending')
                      <td>
                        <a href="{{ route('admin.edit',$item->id_barang) }}" class="btn btn-danger">{{ $item->status }}</a>
                      </td>
                      @elseif ($item->status == 'finished')
                      <td>
                        <a href="" class="btn btn-info">{{ $item->status }}</a>
                      </td>
                      @elseif ($item->status == 'ongoing')
                      <td>
                        <a href="{{ route('admin.edit',$item->id_barang) }}" class="btn btn-info">{{ $item->status }}</a>
                      </td>
                      @endif
                      </form>
                    </tr> 
                    @endforeach
                  </tbody>
                </table>
               </div>
              </div>
            </div>
            
        
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="float-right">
                    {{ $barang->links() }}
                </div>
            </div>
        </div>


</div>
@endsection

resources/views/admin/laporan.blade.php
@extends('layouts.app')

@section('content')
<div class="container">

  <div class="row">
    <div class="col-sm-12">
      <button type="button" class="btn btn-info collapsible" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">Lelang Finished <p class="float-right">{{ $soldc }}</p></button>
      <div class="collapse" id="collapseExample">
        <div class="row">
            
            <div class="col-sm-12">
              <div class="card container card-lapor">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="float-right">
                            {{ $sold->links() }}
                        </div>
                    </div>
                </div>
                <div class="wrapper">
                <table class="table">
                  <thead class="thead text-center">
                    <tr>
                      <th scope="col">Username</th>
                      <th scope="col">Nama produk</th>
                      <th scope="col">Tanggal</th>
                      <th scope="col">Harga</th>
                      <th scope="col">Detail</th>
                    </tr>
                  </thead>
                  <tbody class="text-center">
                    @foreach ($sold as $item)
                    <tr>
                      <th>{{ $item->user->name ?? ''}}</th>
                      <td>{{ $item->nama_barang }}</td>
                      <td>{{ $item->tgl }}</td>
                      <td>{{ $item->harga_awal }}</td>
                      <form action="{{ route('e-lelang.edit',$item->id_barang) }}" method="POST">
                      <td><a href="{{ route('e-lelang.show',$item->id_barang) }}" class="btn btn-info">Detail</a></td>

                      </form>
                    </tr> 
                    @endforeach
                  </tbody>
                </table>
               </div>
              </div>
            </div>
            
        
        </div>
        
      </div>
    </div>
  </div>

  <div class="row mt-1">
    <div class="col-sm-12">
      <button type="button" class="btn btn-success collapsible" data-toggle="collapse" data-target="#collapse2" aria-expanded="false" aria-controls="collapseExample">Lelang Accepted <p class="float-right">{{ $accC }}</p></button>
      <div class="collapse" id="collapse2">
        <div class="row">
            
            <div class="col-sm-12">
              <div class="card container card-lapor">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="float-right">
                            {{ $acc->links() }}
                        </div>
                    </div>
                </div>
                <div class="wrapper">
                <table class="table">
                  <thead class="thead text-center">
                    <tr>
                      <th scope="col">username</th>
                      <th scope="col">Nama produk</th>
                      <th scope="col">Tanggal</th>
                      <th scope="col">Harga</th>
                      <th scope="col">Detail</th>
                    </tr>
                  </thead>
                  <tbody class="text-center">
                    @foreach ($acc as $item)
                    <tr>
                      <th>{{ $item->user->name ?? ''}}</th>
                      <td>{{ $item->nama_barang }}</td>
                      <td>{{ $item->tgl }}</td>
                      <td>{{ $item->harga_awal }}</td>
                      <form action="{{ route('e-lelang.edit',$item->id_barang) }}" method="POST">
                      <td><a href="{{ route('e-lelang.show',$item->id_barang) }}" class="btn btn-info">Detail</a></td>

                      </form>
                    </tr> 
                    @endforeach
                  </tbody>
                </table>
               </div>
              </div>
            </div>
            
        
        </div>

      </div>
    </div>
  </div>

  <div class="row mt-1">
    <div class="col-sm-12">
      <button type="button" class="btn btn-danger collapsible" data-toggle="collapse" data-target="#collapse3" aria-expanded="false" aria-controls="collapseExample">Lelang Pending <p class="float-right">{{ $pendingC }}</p></button>
      <div class="collapse" id="collapse3">
        <div class="row">
            
            <div class="col-sm-12">
              <div class="card container card-lapor">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="float-right">
                            {{ $pending->links() }}
                        </div>
                    </div>
                </div>
                <div class="wrapper">
                <table class="table">
                  <thead class="thead text-center">
                    <tr>
                      <th scope="col">username</th>
                      <th scope="col">Nama produk</th>
                      <th scope="col">Tanggal</th>
                      <th scope="col">Harga</th>
                      <th scope="col">Detail</th>
                    </tr>
                  </thead>
                  <tbody class="text-center">
                    @foreach ($pending as $item)
                    <tr>
                      <th>{{ $item->user->name ?? ''}}</th>
                      <td>{{ $item->nama_barang }}</td>
                      <td>{{ $item->tgl }}</td>
                      <td>{{ $item->harga_awal }}</td>
                      <form action="{{ route('e-lelang.edit',$item->id_barang) }}" method="POST">
                      <td><a href="{{ route('e-lelang.show',$item->id_barang) }}" class="btn btn-info">Detail</a></td>

                      </form>
                    </tr> 
                    @endforeach
                  </tbody>
                </table>
               </div>
              </div>
            </div>
            
        
        </div>

      </div>
    </div>
  </div>
    
  
</div>

@endsection

resources/views/admin/regisEdit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
	
	<div class="card card-konfirm">
		<div class="container">

			<div class="row" style="margin-top: 5vh;">
				<div class="col-sm-3 offset-1">
					<h3>Name</h3>
				</div>
				<div class="col-sm-8">
					<h3>{{$data->name}}</h3>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-3 offset-1">
					<h3>Email</h3>
				</div>
				<div class="col-sm-8">
					<h3>{{$data->email}}</h3>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-3 offset-1">
					<h3>Alamat</h3>
				</div>
				<div class="col-sm-8">
					<h3>{{$data->alamat}}</h3>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-3 offset-1">
					<h3>No. Telpon</h3>
				</div>
				<div class="col-sm-8">
					<h3>{{$data->telp}}</h3>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-3 offset-1">
					<h3>Status</h3>
				</div>
				<div class="col-sm-8">
				<form action="{{ route('regis.update',$data->id) }}" method="POST">
					@csrf
					@method('PUT')
					<input type="text" name="id" id="id" class="none" value="{{ $data->id }}">
					<input type="text" name="name" id="name" class="none" value="{{ $data->name }}">
					<input type="text" name="email" id="email" class="none" value="{{ $data->email }}">
					<input type="text" name="alamat" id="alamat" class="none" value="{{ $data->alamat }}">
					<input type="text" name="telp" id="telp" class="none" value="{{ $data->telp }}">
					<input type="text" name="passsword" id="password" class="none" value="{{ $data->password }}">
					<div class="row">
						
						@if($data->isAdmin == 1)
						<div class="col-sm-4">	
							<a class="btn white btn-info">Admin</a>
						</div>
						@elseif($data->isPetugas == 1)
						<div class="col-sm-4">		
							<a class="btn white btn-success">Petugas</a>
						</div>
						@elseif($data->isPetugas == 0 && $data->isAdmin == 0)
						<div class="col-sm-4">	
							<a class="btn white btn-danger">User</a>
						</div>
						@endif
						
						<div class="col-sm-2">
						<div class="form-group">
							<select name="credential" class="form-control" id="credential">
								<option value="user">User</option>
								<option value="admin">Admin</option>
								<option value="petugas">Petugas</option>
							</select>
						</div>
						</div><div class="col-sm-4">
						<button type="submit" class="btn btn-info">change</button></div>
					</div>
					
				</form>
				</div>
			</div>
		</div>
	</div>

</div>
@endsection

resources/views/admin/regist.blade.php
@extends('layouts.app')

@section('content')
<div class="container">

    <div class="row">
            
            <div class="col-sm-12">
              <div class="card container card-konfirm">
                <div class="row">
                  <div class="col-sm-8">
                    <a href="{{ route('regis.index') }}" class="btn btn-info">refresh</a>
                  </div>
                  <div class="col-sm-4">
                    <form action="{{ route('cari') }}" method="GET">
                      <input type="text" name="cari" class="cari form-control" placeholder="Search .." value="{{ old('cari') }}">
                    </form>
                  </div>
                </div>
                <div class="wrappers">
                <table class="table">
                  <thead class="thead text-center">
                    <tr>
                      <th scope="col">Nama</th>
                      <th scope="col">Email</th>
                      <th>Alamat</th>
                      <th>No. Telpon</th>
                      <th scope="col">Status</th>
                      <th scope="col">Action</th>
                    </tr>
                  </thead>
                  <tbody class="text-center">
                    @foreach ($user as $item)
                    <tr>
                   
                      <td>{{ $item->name }}</td>
                      <td>{{ $item->email }}</td>
                      <td>{{ $item->alamat }}</td>
                      <td>{{ $item->telp }}</td>
                      <form action="{{ route('regis.destroy',$item->id) }}" method="POST">
                        @csrf
                      <td>
                        <input type="text" name="id" value="{{ $item->id }}" class="none">
                        @if($item->isAdmin == '1')
                        <button class="btn-info btn">Admin</button>
                        @elseif ($item->isPetugas == '1')
                        <button class="btn-success btn">Petugas</button>
                        @elseif (empty($item->isAdmin) && empty($item->isPetugas))
                        <button class="btn-danger btn">User</button>
                        @endif
                      </td>
                      <td><a href="{{ route('regis.edit',$item->id) }}" class="btn btn-info">Change</a>
                      <button type="submit" class="btn btn-danger none">Delete</button></td>
                      </form>
                    </tr> 
                    @endforeach
                    
                  </tbody> 
                </table>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="float-right">
                            {{ $user->links() }}
                        </div>
                    </div>
                </div>

              </div>
            </div>
            
        
        </div>
        
</div>
@endsection